kepa
Device/updateTerminalTipConfig

Configure terminal tipping

PUT/v1/staff/merchants/{id}/terminal-tip-config
Staff operation that controls the tip choices downloaded by a merchant's terminals.
Path parameters
idstringRequired

Request body

application/json

enabledbooleanRequired
presetBasisPointsarrayRequired
allowCustomAmountbooleanRequired
postAuthAdjustEnabledbooleanRequired

Enables AUTH then tip-adjust then capture only when the configured processor supports it.

maxAmountMinorintegerRequired
Example 100000
maxBasisPointsintegerRequired
Example 10000
fixedAmountMinorintegernullable
Example 100
fixedAmountThresholdMinorintegernullable
Example 1000

Response

application/json

terminalIdstring
Example "TID-00012345"
merchantIdstring
currencyCodestring
Example "USD"
configVersioninteger
tipEnabledboolean
tipPresetBasisPointsarray
tipAllowCustomAmountboolean
tipPostAuthAdjustEnabledboolean
tipMaxAmountMinorinteger
tipMaxBasisPointsinteger
tipFixedAmountMinorintegernullable
tipFixedAmountThresholdMinorintegernullable

updateTerminalTipConfig

PUTGo API
https://api.kepapay.co/v1/staff/merchants/{id}/terminal-tip-config
Request
curl -X PUT https://api.kepapay.co/v1/staff/merchants/{id}/terminal-tip-config \
  -H "X-Api-Key: $KEPA_SECRET_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "enabled": true,
  "presetBasisPoints": [
    1500,
    1800,
    2000
  ],
  "allowCustomAmount": true,
  "postAuthAdjustEnabled": true,
  "maxAmountMinor": 100000,
  "maxBasisPoints": 10000,
  "fixedAmountMinor": 100,
  "fixedAmountThresholdMinor": 1000
}'
Response
{
  "terminalId": "TID-00012345",
  "merchantId": "string",
  "currencyCode": "USD",
  "configVersion": 0,
  "tipEnabled": true,
  "tipPresetBasisPoints": [
    0
  ],
  "tipAllowCustomAmount": true,
  "tipPostAuthAdjustEnabled": true,
  "tipMaxAmountMinor": 0,
  "tipMaxBasisPoints": 0,
  "tipFixedAmountMinor": 0,
  "tipFixedAmountThresholdMinor": 0
}